/*
 * Licensed under a Creative Commons Attribution 2.5 Slovenia License
 * http://creativecommons.org/licenses/by/2.5/si/
 * 2009 TineL Studio
 */

package net.tinelstudio.gis.model.domain;

import java.util.Set;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.ManyToMany;

import org.hibernate.annotations.Cascade;
import org.hibernate.annotations.CascadeType;
import org.hibernate.annotations.Type;

import com.vividsolutions.jts.geom.Polygon;

/**
 * The Building entity.
 * 
 * @author TineL
 */
@Entity
public class Building extends NotedEntity {

  @Column(nullable=false)
  @Type(type="org.hibernatespatial.GeometryUserType")
  private Polygon polygon;

  @Column
  @ManyToMany
  @Cascade(value=CascadeType.SAVE_UPDATE)
  private Set<GeoName> geoNames;

  // ##################################################

  public Polygon getPolygon() {
    return this.polygon;
  }

  public void setPolygon(Polygon polygon) {
    this.polygon=polygon;
  }

  public Set<GeoName> getGeoNames() {
    return this.geoNames;
  }

  public void setGeoNames(Set<GeoName> geoNames) {
    this.geoNames=geoNames;
  }

  @Override
  public String toString() {
    StringBuilder builder=new StringBuilder();
    builder.append("Building [getId()=");
    builder.append(this.getId());
    builder.append(", geoNames=");
    builder.append(this.geoNames);
    builder.append(", getNote()=");
    builder.append(this.getNote());
    builder.append("]");
    return builder.toString();
  }
}