/*
 * Licensed under a Creative Commons Attribution 2.5 Slovenia License
 * http://creativecommons.org/licenses/by/2.5/si/
 * 2009 TineL Studio
 */

package net.tinelstudio.gis.model.domain;

import javax.persistence.Column;
import javax.persistence.Entity;

import org.hibernate.annotations.Type;

import com.vividsolutions.jts.geom.Point;

/**
 * The StreetNode entity.
 * 
 * @author TineL
 */
@Entity
public class StreetNode extends BaseEntity {

  @Column(nullable=false)
  @Type(type="org.hibernatespatial.GeometryUserType")
  private Point point;

  // ##################################################

  public Point getPoint() {
    return this.point;
  }

  public void setPoint(Point point) {
    this.point=point;
  }

  @Override
  public String toString() {
    StringBuilder builder=new StringBuilder();
    builder.append("StreetNode [id=").append(this.getId()).append("]");
    return builder.toString();
  }
}
